Package com.google.gwt.uibinder.elementparsers

## Interface ElementParser

- All Known Implementing Classes:
    `AbsolutePanelParser`, `AttributeMessageParser`, `BeanParser`, `CellPanelParser`, `CustomButtonParser`, `DateLabelParser`, `DialogBoxParser`, `DisclosurePanelParser`, `DockLayoutPanelParser`, `DockPanelParser`, `DomElementParser`, `FlowPanelParser`, `GridParser`, `HasAlignmentParser`, `HasHTMLParser`, `HasTextParser`, `HasTreeItemsParser`, `HasWidgetsParser`, `HTMLPanelParser`, `ImageParser`, `IsEmptyParser`, `LayoutPanelParser`, `LazyPanelParser`, `ListBoxParser`, `MenuBarParser`, `MenuItemParser`, `NumberLabelParser`, `RenderablePanelParser`, `StackLayoutPanelParser`, `StackPanelParser`, `TabLayoutPanelParser`, `TabPanelParser`, `UiChildParser`, `UIObjectParser`

      public interface ElementParser

  Element parsers are classes that parse xml elements, using the context to generate widget initialization code.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `parse​(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` | Parse the given element, generating the code to initialize it from the element's attributes and children.

- - ### Method Detail

    - #### parse

          void parse​(com.google.gwt.uibinder.rebind.XMLElement elem,
                     java.lang.String fieldName,
                     JClassType type,
                     com.google.gwt.uibinder.rebind.UiBinderWriter writer)
              throws UnableToCompleteException

      Parse the given element, generating the code to initialize it from the element's attributes and children.
      Parameters:
        `elem` - the element to be parsed
        `fieldName` - the name of the widget field to be initialized
        `type` - TODO
        `writer` - the writer
      Throws:
        `UnableToCompleteException` - on error